> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a connector

> The MCP server under key in the catalog of your agent's default project's organization, or of your personal organization when you have no agent or it has no default project: whether that project enables it, and how you connect it. Refused (404 agent_connector_not_found) for a key the catalog does not hold, (409 agent_default_project_archived) when your agent's default project is archived, and (409 mcp_server_plugin_bundled) for a plugin's server whose plugin the default project does not enable.



## OpenAPI

````yaml api-reference/openapi.json GET /agent/connectors/{key}
openapi: 3.1.0
info:
  title: Aether API
  version: 0.1.0
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /agent/connectors/{key}:
    get:
      tags:
        - agent
      summary: Get a connector
      description: >-
        The MCP server under key in the catalog of your agent's default
        project's organization, or of your personal organization when you have
        no agent or it has no default project: whether that project enables it,
        and how you connect it. Refused (404 agent_connector_not_found) for a
        key the catalog does not hold, (409 agent_default_project_archived) when
        your agent's default project is archived, and (409
        mcp_server_plugin_bundled) for a plugin's server whose plugin the
        default project does not enable.
      operationId: getAgentConnector
      parameters:
        - description: The server's key in its catalog.
          in: path
          name: key
          required: true
          schema:
            description: The server's key in its catalog.
            pattern: ^[a-z][a-z0-9_-]{0,31}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentConnector'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AgentErrorResponse'
                  - $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentErrorResponse'
          description: Service Unavailable
components:
  schemas:
    AgentConnector:
      additionalProperties: false
      properties:
        connection:
          discriminator:
            mapping:
              github_user_credential: '#/components/schemas/AgentConnectorGitHubConnection'
              none: '#/components/schemas/AgentConnectorNoConnection'
              oauth: '#/components/schemas/AgentConnectorOAuthConnection'
              org: '#/components/schemas/AgentConnectorOrgConnection'
              static_secret: '#/components/schemas/AgentConnectorStaticSecretConnection'
            propertyName: kind
          oneOf:
            - $ref: '#/components/schemas/AgentConnectorOAuthConnection'
            - $ref: '#/components/schemas/AgentConnectorGitHubConnection'
            - $ref: '#/components/schemas/AgentConnectorOrgConnection'
            - $ref: '#/components/schemas/AgentConnectorStaticSecretConnection'
            - $ref: '#/components/schemas/AgentConnectorNoConnection'
        display_name:
          type: string
        key:
          type: string
        mcp_server_id:
          format: uuid
          type: string
        org_id:
          description: >-
            The organization whose catalog holds the server: your agent's
            default project's, or your personal organization when your agent has
            no default project.
          format: uuid
          type: string
        project:
          $ref: '#/components/schemas/AgentConnectorProject'
      required:
        - mcp_server_id
        - key
        - display_name
        - org_id
        - connection
      type: object
    AgentErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - account_deleting
            - aether_inference_unavailable
            - aether_inference_unserved
            - agent_connector_not_found
            - agent_credential_unreadable
            - agent_default_project_archived
            - agent_event_not_found
            - agent_host_account_deleting
            - agent_host_command_not_found
            - agent_host_creation_disabled
            - agent_host_exists
            - agent_host_illegal_transition
            - agent_host_not_allowlisted
            - agent_host_not_found
            - agent_host_not_ready
            - agent_host_other_provider_app
            - agent_host_project_not_eligible
            - agent_host_provisioning_failed
            - agent_host_state_changed
            - agent_host_wake_failed
            - agent_line_unavailable
            - agent_link_code_picked_up
            - agent_link_expired
            - agent_link_invalid_code
            - agent_link_needs_web_session
            - agent_link_no_verified_phone
            - agent_link_not_found
            - agent_link_other_account
            - agent_link_takes_a_code
            - agent_link_takes_no_code
            - agent_link_used
            - agent_message_not_found
            - agent_message_pending
            - agent_not_found
            - bad_gateway
            - bad_request
            - conflict
            - connection_account_held
            - connection_agent_only
            - connection_harness_mismatch
            - connection_is_default
            - connection_kind_not_runnable
            - connection_name_taken
            - connection_not_found
            - connection_not_held
            - connection_not_of_agent_family
            - connection_option_mismatch
            - connection_runs_agent
            - connection_runs_profiles
            - control_forbidden
            - default_skill_required
            - forbidden
            - gateway_timeout
            - github_auth_check_unavailable
            - github_claim_unverified
            - github_identity_mismatch
            - github_reconnect_required
            - github_ref_not_found
            - gone
            - integration_auth_unexpected
            - integration_not_in_directory
            - integration_shape_changed
            - internal_error
            - line_exists
            - line_not_found
            - line_not_imessage
            - mcp_connection_github_not_connected
            - mcp_connection_oauth_not_accepted
            - mcp_connection_org_not_offered
            - mcp_connection_secret_invalid
            - mcp_connection_server_changed
            - mcp_connection_static_secret_not_accepted
            - mcp_credential_policy_not_applicable
            - mcp_credential_policy_org_unavailable
            - mcp_credential_policy_required
            - mcp_oauth_app_auth_method_unsupported
            - mcp_oauth_app_invalid
            - mcp_oauth_app_issuer_invalid
            - mcp_oauth_app_required
            - mcp_oauth_not_advertised
            - mcp_oauth_pkce_unsupported
            - mcp_oauth_registration_failed
            - mcp_repo_config_invalid
            - mcp_server_address_refused
            - mcp_server_aether_managed
            - mcp_server_api_key_not_applicable
            - mcp_server_args_invalid
            - mcp_server_auth_discovery_failed
            - mcp_server_auth_unsupported
            - mcp_server_directory_managed
            - mcp_server_directory_moved
            - mcp_server_display_name_invalid
            - mcp_server_env_invalid
            - mcp_server_headers_invalid
            - mcp_server_key_invalid
            - mcp_server_key_reserved
            - mcp_server_key_taken
            - mcp_server_kind_change_refused
            - mcp_server_not_from_directory
            - mcp_server_not_mcp
            - mcp_server_package_invalid
            - mcp_server_plugin_bundled
            - mcp_server_plugin_off
            - mcp_server_response_too_large
            - mcp_server_return_to_invalid
            - mcp_server_runtime_invalid
            - mcp_server_switched_off
            - mcp_server_unreachable
            - mcp_server_url_invalid
            - mcp_server_version_unpinned
            - method_not_allowed
            - model_not_on_aether_inference
            - no_dispatch_target
            - not_acceptable
            - not_an_agent_host
            - not_found
            - not_implemented
            - org_role_insufficient
            - org_suspended
            - payment_required
            - plugin_moved
            - plugin_name_taken
            - plugin_request_invalid
            - plugin_server_key_reserved
            - plugin_server_key_taken
            - plugin_server_probe_failed
            - plugin_server_required
            - plugin_skill_invalid
            - plugin_source_address_refused
            - plugin_source_empty
            - plugin_source_invalid
            - plugin_source_not_found
            - plugin_source_not_public
            - plugin_source_too_large
            - plugin_source_unreachable
            - plugin_source_unsupported
            - plugin_switched_off
            - plugin_undeliverable
            - precondition_failed
            - rate_limited
            - repository_not_reachable
            - request_canceled
            - request_timeout
            - request_too_large
            - service_unavailable
            - skill_slug_reserved
            - unauthenticated
            - unsupported_media_type
            - validation_failed
            - whatsapp_not_enabled
          minLength: 1
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
        - code
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
            - agent_host_route_not_allowed
            - credential_kind_not_admitted
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    AgentConnectorGitHubConnection:
      additionalProperties: false
      properties:
        connected:
          description: >-
            Your connection to the server exists and needs no reconnecting; it
            works while your GitHub connection does.
          type: boolean
        kind:
          enum:
            - github_user_credential
          type: string
        url:
          description: The server's URL, which its connection is made for.
          format: uri
          type: string
      required:
        - kind
        - url
        - connected
      type: object
    AgentConnectorNoConnection:
      additionalProperties: false
      properties:
        kind:
          enum:
            - none
          type: string
      required:
        - kind
      type: object
    AgentConnectorOAuthConnection:
      additionalProperties: false
      properties:
        connected:
          description: Your connection to the server exists and needs no reconnecting.
          type: boolean
        kind:
          enum:
            - oauth
          type: string
        url:
          description: The server's URL, which its connection is started for.
          format: uri
          type: string
      required:
        - kind
        - url
        - connected
      type: object
    AgentConnectorOrgConnection:
      additionalProperties: false
      properties:
        kind:
          enum:
            - org
          type: string
      required:
        - kind
      type: object
    AgentConnectorStaticSecretConnection:
      additionalProperties: false
      properties:
        kind:
          enum:
            - static_secret
          type: string
      required:
        - kind
      type: object
    AgentConnectorProject:
      additionalProperties: false
      properties:
        enabled:
          description: >-
            The project enables the server. The connect page enables it, with
            PUT /projects/{id}/mcp-servers/{mcpServerID}, before it connects it.
          type: boolean
        id:
          format: uuid
          type: string
      required:
        - id
        - enabled
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.